メインコンテンツへスキップ
POST
/
automation
/
v4
/
flows
/
batch
/
read
ワークフローを取得
curl --request POST \
  --url https://api.hubapi.com/automation/v4/flows/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "flowId": "<string>",
      "type": "FLOW_ID"
    }
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "type": "CONTACT_FLOW",
      "id": "<string>",
      "isEnabled": true,
      "flowType": "WORKFLOW",
      "revisionId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "nextAvailableActionId": "<string>",
      "actions": [
        {
          "actionId": "<string>",
          "inputValue": {
            "actionId": "<string>",
            "dataKey": "<string>",
            "type": "FIELD_DATA"
          },
          "staticBranches": [
            {
              "branchValue": "<string>"
            }
          ],
          "type": "STATIC_BRANCH",
          "defaultBranchName": "<string>"
        }
      ],
      "timeWindows": [
        {
          "day": "FRIDAY"
        }
      ],
      "blockedDates": [
        {
          "dayOfMonth": 123,
          "month": "APRIL",
          "year": 123
        }
      ],
      "customProperties": {},
      "dataSources": [
        {
          "associationCategory": "HUBSPOT_DEFINED",
          "associationTypeId": 123,
          "name": "<string>",
          "objectTypeId": "<string>",
          "type": "ASSOCIATION"
        }
      ],
      "crmObjectCreationStatus": "PENDING",
      "suppressionListIds": [
        123
      ],
      "canEnrollFromSalesforce": true,
      "objectTypeId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "uuid": "<string>",
      "startActionId": "<string>",
      "enrollmentCriteria": {
        "listFilterBranch": {
          "filterBranchOperator": "<string>",
          "filterBranchType": "OR",
          "filterBranches": [
            {
              "filterBranchOperator": "<string>",
              "filterBranchType": "AND",
              "filterBranches": "<array>",
              "filters": [
                {
                  "filterType": "PROPERTY",
                  "operation": "<unknown>",
                  "property": "<string>"
                }
              ]
            }
          ],
          "filters": [
            {
              "filterType": "PROPERTY",
              "operation": "<unknown>",
              "property": "<string>"
            }
          ]
        },
        "reEnrollmentTriggersFilterBranches": [
          {
            "filterBranchOperator": "<string>",
            "filterBranchType": "AND",
            "filterBranches": "<array>",
            "filters": [
              {
                "filterType": "PROPERTY",
                "operation": "<unknown>",
                "property": "<string>"
              }
            ]
          }
        ],
        "shouldReEnroll": true,
        "type": "LIST_BASED",
        "unEnrollObjectsNotMeetingCriteria": true
      },
      "enrollmentSchedule": {
        "timeOfDay": {
          "hour": 123,
          "minute": 123
        },
        "type": "DAILY"
      },
      "goalFilterBranch": {
        "filterBranchOperator": "<string>",
        "filterBranchType": "OR",
        "filterBranches": [
          {
            "filterBranchOperator": "<string>",
            "filterBranchType": "AND",
            "filterBranches": "<array>",
            "filters": [
              {
                "filterType": "PROPERTY",
                "operation": "<unknown>",
                "property": "<string>"
              }
            ]
          }
        ],
        "filters": [
          {
            "filterType": "PROPERTY",
            "operation": {
              "includeObjectsWithNoValueSet": true,
              "operationType": "BOOL",
              "operator": "<string>",
              "value": true
            },
            "property": "<string>"
          }
        ]
      },
      "eventAnchor": {
        "contactProperty": "<string>",
        "type": "CONTACT_PROPERTY_ANCHOR"
      }
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

サポートされる製品

次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Professional
Service HubService Hub -Professional
Content HubContent Hub -Professional

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ボディ

application/json
inputs
FLOW_ID · object[]
必須

レスポンス

successful operation

completedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が完了された日時。

results
object[]
必須
startedAt
string<date-time>
必須

日付-時刻文字列として書式設定される、バッチ処理が開始された日時。

status
enum<string>
必須

次の値を取り得る、バッチ処理の現在のステータス:CANCELED、COMPLETE、PENDING、PROCESSING。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

バッチ処理に関連付けられたURLのコレクションで、この処理では空です。

requestedAt
string<date-time>

日付-時刻文字列として書式設定される、バッチリクエストが開始された日時。

Last modified on March 30, 2026